pkgname=hildon-desktop
pkgver=2.2.157.6
pkgrel=0
pkgdesc="Hildon desktop for Fremantle"
arch="x86_64 armhf aarch64"
url="https://github.com/maemo-leste/hildon-desktop"
license="GPL"
depends="libhildon libmatchbox2 libhildondesktop clutter gnome-menus profiled"
makedepends="
	autoconf
	automake
	gnome-menus-dev
	libhildondesktop-dev
	libmatchbox2-dev
	mce-headers
	profiled-dev"
source="$pkgname-$pkgver.tar.gz::https://github.com/maemo-leste/hildon-desktop/archive/$pkgver.tar.gz"

builddir="$srcdir/hildon-desktop-$pkgver"

prepare() {
	cd "$builddir"
	sed -i -e 's/libpng12/libpng/g' configure.ac
	sed -i -e 's/g_return_if_fail (!render_manager->priv->zoomed);//g' src/home/hd-render-manager.c
}

build() {
	cd "$builddir"
	./autogen.sh
	./configure --prefix=/usr --sysconfdir=/etc
	make
}

package() {
	cd "$builddir"
	make DESTDIR="$pkgdir/" install
}
sha512sums="c8d40ae74c94c490113191ab1abbb9c0b9b9cef9cd1a0c1a86eb5467f91fd3d6a78e42275714cf9e0a306fd83e1b2086cdf6f3995679bfe8c7e5a7a396fce16b  hildon-desktop-2.2.157.6.tar.gz"
